<?php
/**
 * w3layouts Theme Faq page Customizer
 *
 * @package w3layouts
 */

$w3layouts_Faq_settings=new w3layouts_Faq_customizer_settings();

class w3layouts_Faq_customizer_settings {
    // Get our default values
    // private $defaults;

    public function __construct() {
        // add_action( 'customize_register', array( $this, 'w3layouts_Faq_cust_register' ) );
        add_action('customize_register', array($this, 'w3layouts_FaqPage_panels'));



    }

    public function w3layouts_FaqPage_panels($wp_customize) {
        /**
 		 * Add our Header & Navigation Panel
 		 */
        $wp_customize->add_panel('FaqPage_panel',
            array('title'=> __('Faq Page Customize', 'w3layouts'),
                'priority'=> 30,
                'description'=> esc_html__('add and update Faq data.', 'w3layouts')));

        $wp_customize->add_section('FaqPageFaqSection',
            array('title'=> __('Faq Section Required', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'FaqPage_panel'
            ));
        $wp_customize->add_section('FaqPageFaqSection1',
            array('title'=> __('Faq Section1 Required', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'FaqPage_panel'
            ));
        $wp_customize->add_section('FaqPageFaqSection2',
            array('title'=> __('Faq Section2 Required', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'FaqPage_panel'
            ));
        $wp_customize->add_section('FaqPageFaqSection3',
            array('title'=> __('Faq Section3 Required', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'FaqPage_panel'
            ));



        /** Faq Section starts **/

		$wp_customize->add_setting('FaqPageFaqSectionRequired',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FaqPageFaqSectionRequired',
				array('label'=> __('FaqPage Faq Required', 'w3layouts'),
					'section'=> 'FaqPageFaqSection',
					'settings'=> 'FaqPageFaqSectionRequired',
					'priority'=> 1)));
		$wp_customize->selective_refresh->add_partial('FaqPageFaqSectionRequired', array('selector'=> 'div.FAQSection', // You can also select a css class
			));

        $wp_customize->add_setting('FaqPageFaqSectionTitle', array('default'=> "FAQ",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'FaqPageFaqSectionTitle',
                array('label'=> __('Faq Section Title', 'w3layouts'),
                    'section'=> 'FaqPageFaqSection',
                    'settings'=> 'FaqPageFaqSectionTitle'
                )));

        // Faq section 1
        $wp_customize->add_setting('FaqPageFaqSection1Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FaqPageFaqSection1Required',
            array('label'=> __('Faq Section1 Required', 'w3layouts'),
                'section'=> 'FaqPageFaqSection1',
                'settings'=> 'FaqPageFaqSection1Required'
            )));
		$wp_customize->selective_refresh->add_partial('FaqPageFaqSection1Required', array('selector'=> 'div.FAQSection1', // You can also select a css class
            ));
        
        $wp_customize->add_setting('FaqPageFaqSection1Title', array('default'=> "Wash, Tumble Dry & Fold",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'FaqPageFaqSection1Title',
                array('label'=> __('Faq Section1 Title', 'w3layouts'),
                    'section'=> 'FaqPageFaqSection1',
                    'settings'=> 'FaqPageFaqSection1Title'
                )));
        //faq Q1
        $wp_customize->add_setting('FaqPageFaqSection1Q1Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FaqPageFaqSection1Q1Required',
            array('label'=> __('Faq Section1 Q1 Required', 'w3layouts'),
                'section'=> 'FaqPageFaqSection1',
                'settings'=> 'FaqPageFaqSection1Q1Required'
            )));
        $wp_customize->add_setting('FaqPageFaqSection1Faq1Title', array('default'=> "What if my cloths are damaged?",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'FaqPageFaqSection1Faq1Title',
                array('label'=> __('Faq Section1 Q1', 'w3layouts'),
                    'section'=> 'FaqPageFaqSection1',
                    'settings'=> 'FaqPageFaqSection1Faq1Title'
                )));
        
		$wp_customize->add_setting('FaqPageFaqSection1Faq1para', array('default'=> 'Lorem ipsum dolor, sit amet consectetur adipisicing elit. Voluptates amet earum velit nobis aliquam laboriosam nihil debitis facere voluptatibus consectetur quae quasi fuga, ad corrupti libero omnis sapiente non assumenda excepturi aperiam iste minima autem.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'FaqPageFaqSection1Faq1para',
            array('label'=> __('Faq Section1 Q1 A', 'w3layouts'),
                'section'=> 'FaqPageFaqSection1',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        //faq Q2
        $wp_customize->add_setting('FaqPageFaqSection1Q2Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FaqPageFaqSection1Q2Required',
            array('label'=> __('Faq Section1 Q2 Required', 'w3layouts'),
                'section'=> 'FaqPageFaqSection1',
                'settings'=> 'FaqPageFaqSection1Q2Required'
            )));
        $wp_customize->add_setting('FaqPageFaqSection1Faq2Title', array('default'=> "Do I need to weigh my Wash, Tumble Dry & Fold bag?",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'FaqPageFaqSection1Faq2Title',
                array('label'=> __('Faq Section1 Q1', 'w3layouts'),
                    'section'=> 'FaqPageFaqSection1',
                    'settings'=> 'FaqPageFaqSection1Faq2Title'
                )));
        
		$wp_customize->add_setting('FaqPageFaqSection1Faq2para', array('default'=> 'Lorem ipsum dolor, sit amet consectetur adipisicing elit. Voluptates amet earum velit nobis aliquam laboriosam nihil debitis facere voluptatibus consectetur quae quasi fuga, ad corrupti libero omnis sapiente non assumenda excepturi aperiam iste minima autem.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'FaqPageFaqSection1Faq2para',
            array('label'=> __('Faq Section1 Q2 A', 'w3layouts'),
                'section'=> 'FaqPageFaqSection1',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
        //faq Q3
        $wp_customize->add_setting('FaqPageFaqSection1Q3Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FaqPageFaqSection1Q3Required',
            array('label'=> __('Faq Section1 Q3 Required', 'w3layouts'),
                'section'=> 'FaqPageFaqSection1',
                'settings'=> 'FaqPageFaqSection1Q3Required'
            )));
        $wp_customize->add_setting('FaqPageFaqSection1Faq3Title', array('default'=> "What should I prepare for the first pickup?",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'FaqPageFaqSection1Faq3Title',
                array('label'=> __('Faq Section1 Q3', 'w3layouts'),
                    'section'=> 'FaqPageFaqSection1',
                    'settings'=> 'FaqPageFaqSection1Faq3Title'
                )));
        
		$wp_customize->add_setting('FaqPageFaqSection1Faq3para', array('default'=> 'Lorem ipsum dolor, sit amet consectetur adipisicing elit. Voluptates amet earum velit nobis aliquam laboriosam nihil debitis facere voluptatibus consectetur quae quasi fuga, ad corrupti libero omnis sapiente non assumenda excepturi aperiam iste minima autem.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'FaqPageFaqSection1Faq3para',
            array('label'=> __('Faq Section1 Q3 A', 'w3layouts'),
                'section'=> 'FaqPageFaqSection1',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
        //faq Q4
        $wp_customize->add_setting('FaqPageFaqSection1Q4Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FaqPageFaqSection1Q4Required',
            array('label'=> __('Faq Section1 Q4 Required', 'w3layouts'),
                'section'=> 'FaqPageFaqSection1',
                'settings'=> 'FaqPageFaqSection1Q4Required'
            )));
        $wp_customize->add_setting('FaqPageFaqSection1Faq4Title', array('default'=> "How can I be sure that nothing goes missing?",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'FaqPageFaqSection1Faq4Title',
                array('label'=> __('Faq Section1 Q4', 'w3layouts'),
                    'section'=> 'FaqPageFaqSection1',
                    'settings'=> 'FaqPageFaqSection1Faq4Title'
                )));
        
		$wp_customize->add_setting('FaqPageFaqSection1Faq4para', array('default'=> 'Lorem ipsum dolor, sit amet consectetur adipisicing elit. Voluptates amet earum velit nobis aliquam laboriosam nihil debitis facere voluptatibus consectetur quae quasi fuga, ad corrupti libero omnis sapiente non assumenda excepturi aperiam iste minima autem.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'FaqPageFaqSection1Faq4para',
            array('label'=> __('Faq Section1 Q4 A', 'w3layouts'),
                'section'=> 'FaqPageFaqSection1',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
        //faq Q5
        $wp_customize->add_setting('FaqPageFaqSection1Q5Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FaqPageFaqSection1Q5Required',
            array('label'=> __('Faq Section1 Q5 Required', 'w3layouts'),
                'section'=> 'FaqPageFaqSection1',
                'settings'=> 'FaqPageFaqSection1Q5Required'
            )));
        $wp_customize->add_setting('FaqPageFaqSection1Faq5Title', array('default'=> "I'm not sure how my items should be cleaned. What should I do?",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'FaqPageFaqSection1Faq5Title',
                array('label'=> __('Faq Section1 Q5', 'w3layouts'),
                    'section'=> 'FaqPageFaqSection1',
                    'settings'=> 'FaqPageFaqSection1Faq5Title'
                )));
        
		$wp_customize->add_setting('FaqPageFaqSection1Faq5para', array('default'=> 'Lorem ipsum dolor, sit amet consectetur adipisicing elit. Voluptates amet earum velit nobis aliquam laboriosam nihil debitis facere voluptatibus consectetur quae quasi fuga, ad corrupti libero omnis sapiente non assumenda excepturi aperiam iste minima autem.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'FaqPageFaqSection1Faq5para',
            array('label'=> __('Faq Section1 Q5 A', 'w3layouts'),
                'section'=> 'FaqPageFaqSection1',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        // Faq section 2
        $wp_customize->add_setting('FaqPageFaqSection2Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FaqPageFaqSection2Required',
            array('label'=> __('Faq Section2 Required', 'w3layouts'),
                'section'=> 'FaqPageFaqSection2',
                'settings'=> 'FaqPageFaqSection2Required'
            )));
		$wp_customize->selective_refresh->add_partial('FaqPageFaqSection2Required', array('selector'=> 'div.FAQSection2', // You can also select a css class
            ));
        
        $wp_customize->add_setting('FaqPageFaqSection2Title', array('default'=> "Dry Cleaning",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'FaqPageFaqSection2Title',
                array('label'=> __('Faq Section2 Title', 'w3layouts'),
                    'section'=> 'FaqPageFaqSection2',
                    'settings'=> 'FaqPageFaqSection2Title'
                )));
        //faq Q1
        $wp_customize->add_setting('FaqPageFaqSection2Q1Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FaqPageFaqSection2Q1Required',
            array('label'=> __('Faq Section2 Q1 Required', 'w3layouts'),
                'section'=> 'FaqPageFaqSection2',
                'settings'=> 'FaqPageFaqSection2Q1Required'
            )));
        $wp_customize->add_setting('FaqPageFaqSection2Faq1Title', array('default'=> "What should I prepare for the first pickup?",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'FaqPageFaqSection2Faq1Title',
                array('label'=> __('Faq Section2 Q1', 'w3layouts'),
                    'section'=> 'FaqPageFaqSection2',
                    'settings'=> 'FaqPageFaqSection2Faq1Title'
                )));
        
		$wp_customize->add_setting('FaqPageFaqSection2Faq1para', array('default'=> 'Consectetur quae quasi fuga, ad corrupti libero omnis sapiente non assumenda excepturi aperiam animi vitae eos nisi laudantium. Tempore reiciendis ipsam culpa, qui voluptates eveniet, incidunt officiis eaque iste minima autem.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'FaqPageFaqSection2Faq1para',
            array('label'=> __('Faq Section2 Q1 A', 'w3layouts'),
                'section'=> 'FaqPageFaqSection2',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        //faq Q2
        $wp_customize->add_setting('FaqPageFaqSection2Q2Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FaqPageFaqSection2Q2Required',
            array('label'=> __('Faq Section2 Q2 Required', 'w3layouts'),
                'section'=> 'FaqPageFaqSection2',
                'settings'=> 'FaqPageFaqSection2Q2Required'
            )));
        $wp_customize->add_setting('FaqPageFaqSection2Faq2Title', array('default'=> "Can I order by phone or email?",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'FaqPageFaqSection2Faq2Title',
                array('label'=> __('Faq Section2 Q1', 'w3layouts'),
                    'section'=> 'FaqPageFaqSection2',
                    'settings'=> 'FaqPageFaqSection2Faq2Title'
                )));
        
		$wp_customize->add_setting('FaqPageFaqSection2Faq2para', array('default'=> 'Voluptates amet earum velit nobis aliquam laboriosam nihil debitis facere voluptatibus consectetur quae quasi fuga, ad corrupti libero omnis sapiente non assumenda, incidunt officiis eaque iste minima autem.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'FaqPageFaqSection2Faq2para',
            array('label'=> __('Faq Section2 Q2 A', 'w3layouts'),
                'section'=> 'FaqPageFaqSection2',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
        //faq Q3
        $wp_customize->add_setting('FaqPageFaqSection2Q3Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FaqPageFaqSection2Q3Required',
            array('label'=> __('Faq Section2 Q3 Required', 'w3layouts'),
                'section'=> 'FaqPageFaqSection2',
                'settings'=> 'FaqPageFaqSection2Q3Required'
            )));
        $wp_customize->add_setting('FaqPageFaqSection2Faq3Title', array('default'=> "But I must explain to you how all this idea?",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'FaqPageFaqSection2Faq3Title',
                array('label'=> __('Faq Section2 Q3', 'w3layouts'),
                    'section'=> 'FaqPageFaqSection2',
                    'settings'=> 'FaqPageFaqSection2Faq3Title'
                )));
        
		$wp_customize->add_setting('FaqPageFaqSection2Faq3para', array('default'=> 'Lorem ipsum dolor, sit amet consectetur adipisicing elit. Voluptates amet earum velit nobis aliquam laboriosam nihil debitis autem.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'FaqPageFaqSection2Faq3para',
            array('label'=> __('Faq Section2 Q3 A', 'w3layouts'),
                'section'=> 'FaqPageFaqSection2',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
        //faq Q4
        $wp_customize->add_setting('FaqPageFaqSection2Q4Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FaqPageFaqSection2Q4Required',
            array('label'=> __('Faq Section2 Q4 Required', 'w3layouts'),
                'section'=> 'FaqPageFaqSection2',
                'settings'=> 'FaqPageFaqSection2Q4Required'
            )));
        $wp_customize->add_setting('FaqPageFaqSection2Faq4Title', array('default'=> "I'm not sure how my items should be cleaned. What should I do?",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'FaqPageFaqSection2Faq4Title',
                array('label'=> __('Faq Section2 Q4', 'w3layouts'),
                    'section'=> 'FaqPageFaqSection2',
                    'settings'=> 'FaqPageFaqSection2Faq4Title'
                )));
        
		$wp_customize->add_setting('FaqPageFaqSection2Faq4para', array('default'=> 'Sit amet consectetur adipisicing elit. Voluptates amet earum velit nobis aliquam laboriosam nihil debitis animi vitae eos nisi laudantium. Tempore reiciendis ipsam culpa, qui voluptates eveniet, incidunt officiis eaque iste minima autem.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'FaqPageFaqSection2Faq4para',
            array('label'=> __('Faq Section2 Q4 A', 'w3layouts'),
                'section'=> 'FaqPageFaqSection2',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));


        // Faq section 3
        $wp_customize->add_setting('FaqPageFaqSection3Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FaqPageFaqSection3Required',
            array('label'=> __('Faq Section3 Required', 'w3layouts'),
                'section'=> 'FaqPageFaqSection3',
                'settings'=> 'FaqPageFaqSection3Required'
            )));
        $wp_customize->selective_refresh->add_partial('FaqPageFaqSection3Required', array('selector'=> 'div.FAQSection3', // You can also select a css class
            ));
        
        $wp_customize->add_setting('FaqPageFaqSection3Title', array('default'=> "Pickup and delivery",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'FaqPageFaqSection3Title',
                array('label'=> __('Faq Section3 Title', 'w3layouts'),
                    'section'=> 'FaqPageFaqSection3',
                    'settings'=> 'FaqPageFaqSection3Title'
                )));
        //faq Q1
        $wp_customize->add_setting('FaqPageFaqSection3Q1Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FaqPageFaqSection3Q1Required',
            array('label'=> __('Faq Section3 Q1 Required', 'w3layouts'),
                'section'=> 'FaqPageFaqSection3',
                'settings'=> 'FaqPageFaqSection3Q1Required'
            )));
        $wp_customize->add_setting('FaqPageFaqSection3Faq1Title', array('default'=> "How do I know if you can clean a specific type of clothing?",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'FaqPageFaqSection3Faq1Title',
                array('label'=> __('Faq Section3 Q1', 'w3layouts'),
                    'section'=> 'FaqPageFaqSection3',
                    'settings'=> 'FaqPageFaqSection3Faq1Title'
                )));
        
        $wp_customize->add_setting('FaqPageFaqSection3Faq1para', array('default'=> 'Lorem ipsum dolor, sit amet consectetur adipisicing elit. Voluptates amet earum velit nobis aliquam laboriosam nihil debitis autem.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'FaqPageFaqSection3Faq1para',
            array('label'=> __('Faq Section3 Q1 A', 'w3layouts'),
                'section'=> 'FaqPageFaqSection3',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        //faq Q2
        $wp_customize->add_setting('FaqPageFaqSection3Q2Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FaqPageFaqSection3Q2Required',
            array('label'=> __('Faq Section3 Q2 Required', 'w3layouts'),
                'section'=> 'FaqPageFaqSection3',
                'settings'=> 'FaqPageFaqSection3Q2Required'
            )));
        $wp_customize->add_setting('FaqPageFaqSection3Faq2Title', array('default'=> "Which items should be dry cleaned and which should be laundered?",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'FaqPageFaqSection3Faq2Title',
                array('label'=> __('Faq Section3 Q1', 'w3layouts'),
                    'section'=> 'FaqPageFaqSection3',
                    'settings'=> 'FaqPageFaqSection3Faq2Title'
                )));
        
        $wp_customize->add_setting('FaqPageFaqSection3Faq2para', array('default'=> 'Sit amet consectetur adipisicing elit. Voluptates amet earum velit nobis aliquam laboriosam nihil debitis animi vitae eos nisi laudantium. Tempore reiciendis ipsam culpa, qui voluptates eveniet, incidunt officiis eaque iste minima autem.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'FaqPageFaqSection3Faq2para',
            array('label'=> __('Faq Section3 Q2 A', 'w3layouts'),
                'section'=> 'FaqPageFaqSection3',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
        //faq Q3
        $wp_customize->add_setting('FaqPageFaqSection3Q3Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FaqPageFaqSection3Q3Required',
            array('label'=> __('Faq Section3 Q3 Required', 'w3layouts'),
                'section'=> 'FaqPageFaqSection3',
                'settings'=> 'FaqPageFaqSection3Q3Required'
            )));
        $wp_customize->add_setting('FaqPageFaqSection3Faq3Title', array('default'=> "What should I prepare for the first pickup?",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'FaqPageFaqSection3Faq3Title',
                array('label'=> __('Faq Section3 Q3', 'w3layouts'),
                    'section'=> 'FaqPageFaqSection3',
                    'settings'=> 'FaqPageFaqSection3Faq3Title'
                )));
        
        $wp_customize->add_setting('FaqPageFaqSection3Faq3para', array('default'=> 'Consectetur quae quasi fuga, ad corrupti libero omnis sapiente non assumenda excepturi aperiam animi vitae eos nisi laudantium. Tempore reiciendis ipsam culpa, qui voluptates eveniet, incidunt officiis eaque iste minima autem.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'FaqPageFaqSection3Faq3para',
            array('label'=> __('Faq Section3 Q3 A', 'w3layouts'),
                'section'=> 'FaqPageFaqSection3',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
        //faq Q4
        $wp_customize->add_setting('FaqPageFaqSection3Q4Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FaqPageFaqSection3Q4Required',
            array('label'=> __('Faq Section3 Q4 Required', 'w3layouts'),
                'section'=> 'FaqPageFaqSection3',
                'settings'=> 'FaqPageFaqSection3Q4Required'
            )));
        $wp_customize->add_setting('FaqPageFaqSection3Faq4Title', array('default'=> "Can I order by phone or email?",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'FaqPageFaqSection3Faq4Title',
                array('label'=> __('Faq Section3 Q4', 'w3layouts'),
                    'section'=> 'FaqPageFaqSection3',
                    'settings'=> 'FaqPageFaqSection3Faq4Title'
                )));
        
        $wp_customize->add_setting('FaqPageFaqSection3Faq4para', array('default'=> 'Voluptates amet earum velit nobis aliquam laboriosam nihil debitis facere voluptatibus consectetur quae quasi fuga, ad corrupti libero omnis sapiente non assumenda, incidunt officiis eaque iste minima autem.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'FaqPageFaqSection3Faq4para',
            array('label'=> __('Faq Section3 Q4 A', 'w3layouts'),
                'section'=> 'FaqPageFaqSection3',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
        //faq Q5
        $wp_customize->add_setting('FaqPageFaqSection3Q5Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FaqPageFaqSection3Q5Required',
            array('label'=> __('Faq Section3 Q5 Required', 'w3layouts'),
                'section'=> 'FaqPageFaqSection3',
                'settings'=> 'FaqPageFaqSection3Q5Required'
            )));
        $wp_customize->add_setting('FaqPageFaqSection3Faq5Title', array('default'=> "But I must explain to you how all this idea?",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'FaqPageFaqSection3Faq5Title',
                array('label'=> __('Faq Section3 Q5', 'w3layouts'),
                    'section'=> 'FaqPageFaqSection3',
                    'settings'=> 'FaqPageFaqSection3Faq5Title'
                )));
        
        $wp_customize->add_setting('FaqPageFaqSection3Faq5para', array('default'=> 'Lorem ipsum dolor, sit amet consectetur adipisicing elit. Voluptates amet earum velit nobis aliquam laboriosam nihil debitis autem.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'FaqPageFaqSection3Faq5para',
            array('label'=> __('Faq Section3 Q5 A', 'w3layouts'),
                'section'=> 'FaqPageFaqSection3',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
        // Faq Section top & bottom  textarea

        $wp_customize->add_setting('FaqPageFaqSectionTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'FaqPageFaqSectionTopArea',
                array('label'=> __('Faq Top', 'w3layouts'),
                    'section'=> 'FaqPageFaqSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('FaqPagFaqeSectionBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'FaqPagFaqeSectionBottomArea',
                array('label'=> __('Faq Bottom', 'w3layouts'),
                    'section'=> 'FaqPageFaqSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        // Faq Section top & bottom  textarea

        /** Faq Section ends **/


    }

}