<?php
/**
 * w3layouts Theme Footer Customizer
 *
 * @package w3layouts
 */

$w3layouts_Footer_settings=new w3layouts_Footer_customizer_settings();

class w3layouts_Footer_customizer_settings {
  // Get our default values
  // private $defaults;

  public function __construct() {
    // add_action( 'customize_register', array( $this, 'w3layouts_about_cust_register' ) );
    add_action('customize_register', array($this, 'w3layouts_Footer_panels'));



  }

  public function w3layouts_Footer_panels($wp_customize) {
    $wp_customize->add_panel('Footer_panel',
      array('title'=> __('Footer Customize', 'w3layouts'),
        'priority'=> 30,
        'description'=> esc_html__('add and update Footer data.', 'w3layouts')));

    $wp_customize->add_section('Footer',
      array('title'=> __('Footer Settings', 'w3layouts'),
        'description'=> esc_html__('This is to set or update Footer information', 'w3layouts'),
        'panel'=> 'Footer_panel'
      ));

    $wp_customize->add_section('FooterSubscribe',
      array('title'=> __('Footer Subscribe', 'w3layouts'),
        'description'=> esc_html__('Subscribe in footer', 'w3layouts'),
        'panel'=> 'Footer_panel'
      ));

    $wp_customize->add_section('FooterCopyRight',
      array('title'=> __('Footer CopyRight Section', 'w3layouts'),
        'description'=> esc_html__('CopyRight section in footer', 'w3layouts'),
        'panel'=> 'Footer_panel'
      ));


    /** Footer Required section **/

    $wp_customize->add_setting('FooterRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterRequired',
        array('label'=> __('Footer Required', 'w3layouts'),
          'section'=> 'Footer',
          'settings'=> 'FooterRequired',
          'priority'=> 1)));
    $wp_customize->selective_refresh->add_partial('FooterRequired', array('selector'=> 'div.IndustriesFooter', // You can also select a css class
      ));

      
    /** footer About */
    $wp_customize->add_setting('FooterAboutRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterAboutRequired',
      array('label'=> __('Footer About Required', 'w3layouts'),
        'section'=> 'Footer',
        'settings'=> 'FooterAboutRequired'
      )));

    $wp_customize->add_setting('FooterLogoIcon', array('default'=> 'fas fa-tools',
      'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
      'FooterLogoIcon',
      array('label'=> __('Footer Logo Icon ', 'w3layouts'),
        'section'=> 'Footer',
        'settings'=> 'FooterLogoIcon'
      )));

    $wp_customize->add_setting('FooterLogoText', array('default'=> 'Industries',
      'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
      'FooterLogoText',
      array('label'=> __('Footer Logo Text ', 'w3layouts'),
        'section'=> 'Footer',
        'settings'=> 'FooterLogoText'
      )));

    $wp_customize->add_setting('FooterAboutContent', array('default'=> "Lorem ipsum viverra feugiat. Pellen tesque libero ut justo, ultrices in ligula. Semper at tempufddfel. Lorem ipsum dolor sit amet Semper at elit.",
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'FooterAboutContent',
				array('label'=> __('Footer About Content', 'w3layouts'),
					'section'=> 'Footer',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

    /** Social Media Section footer starts **/
    $wp_customize->add_setting('FooterSocialmediaRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterSocialmediaRequired',
        array('label'=> __('Footer Social Icons Required', 'w3layouts'),
          'section'=> 'Footer',
          'settings'=> 'FooterSocialmediaRequired'
        )));
    $wp_customize->selective_refresh->add_partial('FooterSocialmediaRequired', array('selector'=> 'div.FooterSocial', // You can also select a css class
      ));

    // Facebook Icon starts
    $wp_customize->add_setting('FooterSocialFacebook',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterSocialFacebook',
        array('label'=> __('FaceBook Required', 'w3layouts'),
          'section'=> 'Footer',
          'settings'=> 'FooterSocialFacebook'

        )));

    $wp_customize->add_setting('FooterSocialFacebookURL', array('default'=> 'https://www.facebook.com/w3layouts/',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterSocialFacebookURL',
        array('label'=> __('FaceBook URL', 'w3layouts'),
          'section'=> 'Footer',
          'settings'=> 'FooterSocialFacebookURL'
        )));
    // Facebook Icon ends

    // twitter Icon starts
    $wp_customize->add_setting('FooterSocialTwitter',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterSocialTwitter',
        array('label'=> __('Twitter Required', 'w3layouts'),
          'section'=> 'Footer',
          'settings'=> 'FooterSocialTwitter'

        )));

    $wp_customize->add_setting('FooterSocialTwitterURL', array('default'=> 'https://twitter.com/W3layouts',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterSocialTwitterURL',
        array('label'=> __('Twitter URL ', 'w3layouts'),
          'section'=> 'Footer',
          'settings'=> 'FooterSocialTwitterURL'
        )));
    // twitter Icon ends


    // instagram Icon starts
    $wp_customize->add_setting('FooterSocialInstagram',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterSocialInstagram',
        array('label'=> __('Instagram Required', 'w3layouts'),
          'section'=> 'Footer',
          'settings'=> 'FooterSocialInstagram'

        )));

    $wp_customize->add_setting('FooterSocialInstagramURL', array('default'=> 'https://instagram.com/W3layouts',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterSocialInstagramURL',
        array('label'=> __('Instagram URL ', 'w3layouts'),
          'section'=> 'Footer',
          'settings'=> 'FooterSocialInstagramURL'
        )));
    // Instagram Icon ends

    // Linkedin Icon starts
    $wp_customize->add_setting('FooterSocialLinkedin',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterSocialLinkedin',
        array('label'=> __('Linkedin Required', 'w3layouts'),
          'section'=> 'Footer',
          'settings'=> 'FooterSocialLinkedin'

        )));

    $wp_customize->add_setting('FooterSocialLinkedinURL', array('default'=> 'https://in.linkedin.com/company/w3layouts',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterSocialLinkedinURL',
        array('label'=> __('Linkedin URL ', 'w3layouts'),
          'section'=> 'Footer',
          'settings'=> 'FooterSocialLinkedinURL'
        )));
    // Linkedin Icon ends

    /** Social Media Section footer ends **/


    /** Footer Newsletter starts */

    $wp_customize->add_setting('FooterNewsletterRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterNewsletterRequired',
      array('label'=> __('Footer Newsletter Required', 'w3layouts'),
        'section'=> 'FooterSubscribe',
        'settings'=> 'FooterNewsletterRequired',
        'priority'=> 1)));
    $wp_customize->selective_refresh->add_partial('FooterNewsletterRequired', array('selector'=> 'div.FooterNewsletter', // You can also select a css class
      ));

    $wp_customize->add_setting('MailingURL', array('default'=> '',
      'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
      'MailingURL',
      array('label'=> __('Mailing list URL', 'w3layouts'),
        'section'=> 'FooterSubscribe',
        'description' => __( 'mailing list Form action url of mailchimp or other similar services Eg: https://fleximc.us20.list-manage.com/subscribe/post?u=XXXXXXX&id=XXXXXXX' ),
        'settings'=> 'MailingURL'
      )));
      
    $wp_customize->add_setting('FooterNewsletterTitle', array('default'=> 'Newsletter',
      'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
      'FooterNewsletterTitle',
      array('label'=> __('Newsletter Title ', 'w3layouts'),
        'section'=> 'FooterSubscribe',
        'settings'=> 'FooterNewsletterTitle'
      )));

    $wp_customize->add_setting('FooterSubscribeFormEmailInput', array('default'=> 'email',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterSubscribeFormEmailInput',
        array('label'=> __('Newsletter Name ', 'w3layouts'),
          'section'=> 'FooterSubscribe',
          'settings'=> 'FooterSubscribeFormEmailInput'
        )));
    $wp_customize->add_setting('FooterSubscribeFormEmailPlaceHolder', array('default'=> 'Email Address',
      'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
      'FooterSubscribeFormEmailPlaceHolder',
      array('label'=> __('Email Address Placeholder', 'w3layouts'),
        'section'=> 'FooterSubscribe',
        'settings'=> 'FooterSubscribeFormEmailPlaceHolder'
      )));

    // Footer Phone Number
    $wp_customize->add_setting('FooterPhoneNumberRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterPhoneNumberRequired',
      array('label'=> __('Footer PhoneNumber Required', 'w3layouts'),
        'section'=> 'FooterSubscribe',
        'settings'=> 'FooterPhoneNumberRequired'
      )));

    $wp_customize->add_setting('FooterPhoneNumberTitle', array('default'=> 'Give us a free call:',
      'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
      'FooterPhoneNumberTitle',
      array('label'=> __('Phone Number Title', 'w3layouts'),
        'section'=> 'FooterSubscribe',
        'settings'=> 'FooterPhoneNumberTitle'
      )));

    $wp_customize->add_setting('FooterPhoneNumberUrl', array('default'=> 'tel:+12 23456790',
      'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
      'FooterPhoneNumberUrl',
      array('label'=> __('Phone Number Url', 'w3layouts'),
        'section'=> 'FooterSubscribe',
        'settings'=> 'FooterPhoneNumberUrl'
      )));

    $wp_customize->add_setting('FooterPhoneNumber', array('default'=> '+12 23456790',
      'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
      'FooterPhoneNumber',
      array('label'=> __('Phone Number', 'w3layouts'),
        'section'=> 'FooterSubscribe',
        'settings'=> 'FooterPhoneNumber'
      )));
    /** //Footer Newsletter ends */


    /** Copyright Section footer**/
    $wp_customize->add_setting('FooterCopyrightRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterCopyrightRequired',
        array('label'=> __('Copyright Section Required', 'w3layouts'),
          'section'=> 'FooterCopyRight',
          'settings'=> 'FooterCopyrightRequired',
          'priority'=> 1)));
      $wp_customize->selective_refresh->add_partial('FooterCopyrightRequired', array('selector'=> 'p.CopyRights', // You can also select a css class
        ));

    $wp_customize->add_setting('FooterCopyrightSiteName', array('default'=> 'Industries',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterCopyrightSiteName',
        array('label'=> __('Site Name', 'w3layouts'),
          'section'=> 'FooterCopyRight',
          'settings'=> 'FooterCopyrightSiteName'
        )));
    $wp_customize->add_setting('FooterCopyrightAllRights', array('default'=> 'All Rights Reserved |',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterCopyrightAllRights',
        array('label'=> __(' Text All rights Reserved', 'w3layouts'),
          'section'=> 'FooterCopyRight',
          'settings'=> 'FooterCopyrightAllRights'
        )));
    

  /** Designed by Section footer**/
  $wp_customize->add_setting('FooterDesignedByRequired',
    array('default'=> 1,
      'transport'=> 'refresh',
      'sanitize_callback'=> 'skyrocket_switch_sanitization'
    ));
  $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterDesignedByRequired',
    array('label'=> __('DesignedBy Required', 'w3layouts'),
      'section'=> 'FooterCopyRight',
      'settings'=> 'FooterDesignedByRequired'
    )));

    $wp_customize->add_setting('FooterCopyrightThemeBy', array('default'=> 'WordPress Theme by',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterCopyrightThemeBy',
        array('label'=> __(' Copyright Theme By', 'w3layouts'),
          'section'=> 'FooterCopyRight',
          'settings'=> 'FooterCopyrightThemeBy'
        )));
    
    $wp_customize->add_setting('FooterCopyrightName', array('default'=> 'W3Layouts',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterCopyrightName',
        array('label'=> __(' Copyright name', 'w3layouts'),
          'section'=> 'FooterCopyRight',
          'settings'=> 'FooterCopyrightName'
        )));
    $wp_customize->add_setting('FooterCopyrightURL', array('default'=> 'https://w3layouts.com/',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterCopyrightURL',
        array('label'=> __(' Copyright URL', 'w3layouts'),
          'section'=> 'FooterCopyRight',
          'settings'=> 'FooterCopyrightURL'
        )));

    /** Designed by Section footer**/
    // $wp_customize->add_setting('FooterDesignedByRequired',
    //   array('default'=> 1,
    //     'transport'=> 'refresh',
    //     'sanitize_callback'=> 'skyrocket_switch_sanitization'
    //   ));
    // $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterDesignedByRequired',
    //     array('label'=> __('Designed by Section Required', 'w3layouts'),
    //       'section'=> 'FooterCopyRight',
    //       'settings'=> 'FooterDesignedByRequired'

    //     )));


  }

}